Subject: Re: Git in GSoC 2024

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 1 Feb 2024 10:38:42 +0100

On Wed, Jan 31, 2024 at 11:27:13PM +0530, Kaartic Sivaraam wrote:
> Hi Patrick,
> 
> On 31 January 2024 6:40:36 pm IST, Patrick Steinhardt <[email-masked]> wrote:
> > On Tue, Jan 30, 2024 at 10:08:53AM +0100, Patrick Steinhardt wrote:
> > > On Tue, Jan 30, 2024 at 09:38:48AM +0100, Christian Couder wrote:
> > > 
> > > Yes, the tests in t0032-reftable-unittest.sh should be ported over to
> > > the new unit test framework eventually, and I think that this might be a
> > > good GSoC project indeed.
> > > 
> 
> Nice. Good to hear that.
> 
> > > If there is interest I'd also be happy to draft up some more topics in
> > > the context of refs and the reftable backend. I'm sure there should be
> > > some topics here that would be a good fit for the GSoC project, and I'd
> > > be happy to mentor any such project in this context.
> > 
> 
> Great. Thanks for your interest in willing to mentor!
> 
> I created a fairly rough SoC ideas page for now including a barebones
> information about the unit test migration idea:
> 
> https://git.github.io/SoC-2024-Ideas/
> 
> Note well that the existing idea's description is far from complete and I
> mostly just cooked it up to serve as a template for how the idea entry could
> look like. Kindly contribute towards elaborating the same :-)
> 
> Also, feel free to suggest ideas you have around refs and reftable backed,
> Patrick. Those would be helpful.

I'll have a the beginning of next week and will think about topics
meanwhile.

> > I noticed that the starting period falls right into my honeymoon from
> > June 17th until July 19th. This unfortunately makes it quite a lot
> > harder for me to mentor projects alone. Still, I'd be happy to co-mentor
> > or help out in other ways.
> > 
> 
> I too don't believe your vacation is going to be a deal breaker for you
> being a mentor. It should be totally fine given that we get a backup mentor
> who is also willing to mentor the candidate. (side note: I myself have no
> knowledge about refs backends. So, I suppose I might not be able to help
> co-mentor this one).
> 
> Reg. the timline [1] Jun 17th won't be much of the start. The community
> bonding period starts May 1. Many contributors typically start dipping their
> toes into their project right away. So, you would have ample time before the
> start of the vacation to set the contributor up and going with the project.
> 
> [1]: https://developers.google.com/open-source/gsoc/timeline

Yeah, as long as there is a co-mentor that can take over during my
absence I'm happy to do it. Karthik said that he'd be willing to cover
me, which I think would be a good fit given that he's already got quite
a bit of exposure to the reftable backend internally at GitLab. Thanks!

Patrick